### Method

# Gtk FileChooser get_files

deprecated: 4.10

#### Declaration [src]

    GListModel*
    gtk_file_chooser_get_files (
      GtkFileChooser* chooser
    )

#### Description [src]

Lists all the selected files and subfolders in the current folder of `chooser` as `GFile`.

Deprecated since: 4.10

Use `GtkFileDialog` instead.

#### Return value

Type: A list model of `GObject`

A list model containing a `GFile` for each selected file and subfolder in the current folder. Free the returned list with g_object_unref().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.